Bug 1268418 - [RFE] option to clone and also add a description column for 'Operating Systems' in Satellite 6
[RFE] option to clone and also add a description column for 'Operating System...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management (Show other bugs)
6.1.2
All Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ohad Levy
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 15:09 EDT by Amar Huchchanavar
Modified: 2018-02-19 16:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17931 None None None 2017-01-05 03:07 EST

  None (edit)
Comment 5 Bryan Kearney 2016-07-08 16:36:49 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 8 Marek Hulan 2017-01-05 03:03:58 EST
The title column displays OS description if it's present and it falls back to "$name $release" if it's not. I don't think it makes sense to add description separately. Please note that the OS description will be limited to 254 characters because it's used as the identifier in UI (introduced in upstream by http://projects.theforeman.org/issues/14783)

The cloning of OS is a valid RFE.
Comment 9 Marek Hulan 2017-01-05 03:07:45 EST
Created redmine issue http://projects.theforeman.org/issues/17931 from this bug
Comment 10 Tomas Strachota 2017-01-05 13:08:22 EST
BTW we discussed unification of the fields in bz 1393524. Regardless of how complicated is the current implementation, from users' perspective it's one "title" field with some default value ("$name $release") provided by foreman.

We should use only the term "title" in forms, ideally with live update of the default value when the field is empty.
Comment 11 Andrew Sanders 2017-01-05 18:15:07 EST
Hi Tomas and Marek,
  The recent updates from each you suggest this may get addressed soon.  Are either of you able to commit to this being addressed in Satellite 6.3?
Comment 12 Marek Hulan 2017-01-06 03:22:13 EST
Hello Andrew, I'm afraid we can't promise this. Currently it's not on top of our priorities. I understand that cloning OS for new version is painful but hopefully not something that user would need to do every day.

Note You need to log in before you can comment on or make changes to this bug.